Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class TextField

    java.lang.Object
      javax.microedition.lcdui.Item
          javax.microedition.lcdui.TextField

    public class TextField

extends Item

Author:
  Andre Nijholt

Field Summary
`static int` | `ANY`
`static int` | `DECIMAL`
`static int` | `EMAILADDR`
`static int` | `INITIAL_CAPS_SENTENCE`
`static int` | `INITIAL_CAPS_WORD`
`static int` | `NON_PREDICTIVE`
`static int` | `NUMERIC`
`static int` | `PASSWORD`
`static int` | `PHONENUMBER`
`static int` | `SENSITIVE`
`static int` | `UNEDITABLE`
`static int` | `URL`

Fields inherited from class javax.microedition.lcdui.Item
`cmdListener, commands, interactive, label, minHeight, minWidth, prefHeight, prefWidth`

Constructor Summary
`TextField(String label, String text, int maxSize, int constraints)`

Method Summary
`int` | `getConstraints()`
`int` | `getMaxSize()`
`String` | `getText()`
`void` | `paint(Graphics g, int x, int y, int w, int h, boolean selected)`
`void` | `setText(String text)`

Methods inherited from class javax.microedition.lcdui.Item
`addCommand, getLabel, getMinimumHeight, getMinimumWidth, getPaintRequest, getPreferredHeight, getPreferredWidth, hideNotify, isInteractive, keyPressed, keyReleased, notifyStateChanged, removeCommand, repaint, setItemCommandListener, setPreferredSize, showNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### ANY

    public static final int ANY

See Also:
  Constant Field Values

### EMAILADDR

    public static final int EMAILADDR

See Also:
  Constant Field Values

### NUMERIC

    public static final int NUMERIC

See Also:
  Constant Field Values

### PHONENUMBER

    public static final int PHONENUMBER

See Also:
  Constant Field Values

### URL

    public static final int URL

See Also:
  Constant Field Values

### DECIMAL

    public static final int DECIMAL

See Also:
  Constant Field Values

### PASSWORD

    public static final int PASSWORD

See Also:
  Constant Field Values

### UNEDITABLE

    public static final int UNEDITABLE

See Also:
  Constant Field Values

### SENSITIVE

    public static final int SENSITIVE

See Also:
  Constant Field Values

### NON_PREDICTIVE

    public static final int NON_PREDICTIVE

See Also:
  Constant Field Values

### INITIAL_CAPS_WORD

    public static final int INITIAL_CAPS_WORD

See Also:
  Constant Field Values

### INITIAL_CAPS_SENTENCE

    public static final int INITIAL_CAPS_SENTENCE

See Also:
  Constant Field Values

Constructor Detail

### TextField

    public TextField(String label,
                     String text,
                     int maxSize,
                     int constraints)

Method Detail

### setText

    public void setText(String text)

### getText

    public String getText()

### getMaxSize

    public int getMaxSize()

### getConstraints

    public int getConstraints()

### paint

    public void paint(Graphics g,
                      int x,
                      int y,
                      int w,
                      int h,
                      boolean selected)

  Specified by:
    `paint` in class `Item`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD